<?
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';
$title='Восстановление пароля';
head();

if (empty($act)){


if ($ver!='wml')echo '<form action="?act=act&amp;'.SID.'" method="post">';
echo 'Ваш ник или id:<br /><input name="nick" title="Ваш ник или id"/><br/>';
echo 'Email:<br /><input name="email" title="email"/><br/>';

$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code" size="4" maxlength="4" title="code"/><br/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Выслать пароль<go href="?act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="nick" value="$nick'.$ref.'"/>
<postfield name="email" value="$email'.$ref.'"/>
<postfield name="code" value="$code'.$ref.'"/>
</go></anchor><br /><br />';
}else{
echo '<input type="submit" class="ibutton" value="Выслать пароль"/></form><br />';
}


}else if ($act=='act'){
$nick = check($_POST['nick']);
$email = check($_POST['email']);

if (!user($nick))$err = 'Такого пользователя не существует!';
$email1=user_inf($nick,'mail');$email0=explode('|',$email1);
if($email0[0]=='')$err = 'У вас не указан email!';
else if ($email0[0]!=$email)$err = 'email введен неверно!';

$online = $db->sql_fetchrow($db->sql_query("SELECT * FROM `chislo` WHERE `ip` = '".$ip."'"));
if($online['chislo'] != intval($_POST['code']))$err = 'Проверочный код введен неверно!';

if (user_inf($nick,'rest_time') > $time - 86400)$err = 'Пароль можно восстанавливать не чаще 1 раза в сутки';


if (empty($err)){


$msgemail = "Здравствуйте ".user_inf($nick,'user')."\n Вы запросили восстановление пароля в чате http://".$_SERVER['HTTP_HOST']."\nЛогин: ".user_inf($nick,'user')."\nНовый пароль: ".$newpass."\n\nС уважением, Администрация ".$_SERVER['HTTP_HOST']."\n";

// Высылаем инструкции на E-mail
$msgemail = "Здравствуйте, " . user_inf($nick,'user') . "\r\nВы начали процедуру восстановлению пароля в чате http://".$_SERVER['HTTP_HOST']."\r\nДля того чтобы восстановить пароль, вам необходимо перейти по ссылке: \n\n http://".$_SERVER['HTTP_HOST']."/lost_pass.php?act=set&id=" . user_inf($nick) . "&code=". session_id() . "\n\nСсылка действительна в течение 1 часа\r\nЕсли это письмо попало к вам по ошибке или вы не собираетесь восстанавливать пароль, то просто проигнорируйте его.";

addmail($email0[0], 'Восстановление пароля', $msgemail);


//echo 'Новый пароль выслан вам на Email: '.$email0.'!';

$db->sql_query("UPDATE `users` SET `rest_code` = '" . session_id() . "', `rest_time` = '$time' WHERE `id` = '" . user_inf($nick) . "'");
echo 'Инструкции по восстановлению пароля высланы на E-mail: '.$email0[0].'';

}else echo $err;


}else if ($act=='set'){
$code = isset($_GET['code']) ? trim($_GET['code']) : '';
$nick = isset($_GET['id']) ? trim(intval($_GET['id'])) : '';

if (!user($nick))$err = 'Такого пользователя не существует!';
$email1=user_inf($nick,'mail');$email0=explode('|',$email1);

if ($code != user_inf($nick,'rest_code')) $err = 'Восстановление пароля невозможно';

if (user_inf($nick,'rest_time') < $time - 3600){$err = 'Время, отведенное на восстановления пароля прошло';
$db->sql_query("UPDATE `users` SET `rest_code` = '', `rest_time` = '' WHERE `id` = '$id'");
}



if (empty($err)){


$newpass = passgen(6);
$mail = "Здравствуйте, " . user_inf($nick,'user') . "\r\nВы изменили пароль в чате http://".$_SERVER['HTTP_HOST']."\r\n";
$mail .= "Ваш новый пароль: $newpass \r\n";
$mail .= "После входа на сайт, Вы сможете сменить пароль на другой, какой пожелаете.";

if (addmail($email0[0], "Ваш новый пароль", $mail))
{
$db->sql_query("UPDATE `users` SET `rest_code` = '', `pass` = '" . md5($newpass) . "' WHERE `id` = '$id'");

echo 'Пароль успешно изменен.<br />Новый пароль выслан на ваш адрес E-mail<br />';
} else {
echo 'Ошибка отправки E-mail<br />';
}


}else echo $err;


}

echo gb.'<a href="index">На главную</a>'.div;foot();
?>